Use up instead of run

This commit is contained in:
Geoff Bourne
2025-11-14 20:19:32 -06:00
parent fac46d7a2e
commit 899631c498
3 changed files with 20 additions and 14 deletions
@@ -6,8 +6,9 @@ services:
image: ${IMAGE_TO_TEST:-itzg/minecraft-server} image: ${IMAGE_TO_TEST:-itzg/minecraft-server}
entrypoint: mc-monitor entrypoint: mc-monitor
command: status --host mc --retry-interval 1s --timeout 1s --retry-limit 60 command: status --host mc --retry-interval 1s --timeout 1s --retry-limit 60
restart: no
mc: mc:
restart: "no" restart: no
image: ${IMAGE_TO_TEST:-itzg/minecraft-server} image: ${IMAGE_TO_TEST:-itzg/minecraft-server}
environment: environment:
EULA: "TRUE" EULA: "TRUE"
Regular → Executable
+16 -12
View File
@@ -3,24 +3,28 @@
# go to script root directory # go to script root directory
cd "$(dirname "$0")" || exit 1 cd "$(dirname "$0")" || exit 1
down() {
docker compose -f "$1" down -v --remove-orphans
}
# tests to completely spin up Minecraft and use the monitor to validate the service is running. # tests to completely spin up Minecraft and use the monitor to validate the service is running.
fullMinecraftUpTest(){ fullMinecraftUpTest(){
file="$1" file="$1"
failed=false result=0
echo "Testing with images:"
docker compose -f "$file" config --images
# run the monitor to validate the Minecraft image is healthy # run the monitor to validate the Minecraft image is healthy
docker compose -f "$file" run monitor || failed=true upArgs=(
echo "$(dirname "$file") Result: failed=$failed" --attach-dependencies
if $failed; then --always-recreate-deps
docker compose logs mc --abort-on-container-failure
down "$file" )
return 1 if ! docker compose -f "$file" up "${upArgs[@]}" monitor; then
echo "$(dirname "$file") Result: failed"
result=1
else else
down "$file" echo "$(dirname "$file") Result: success"
fi fi
docker compose -f "$file" down -v --remove-orphans
return $result
} }
# go through each folder in fulltests and run fullbuilds # go through each folder in fulltests and run fullbuilds
@@ -6,8 +6,9 @@ services:
image: ${IMAGE_TO_TEST:-itzg/minecraft-server} image: ${IMAGE_TO_TEST:-itzg/minecraft-server}
entrypoint: mc-monitor entrypoint: mc-monitor
command: status --host mc --retry-interval 1s --timeout 1s --retry-limit 300 command: status --host mc --retry-interval 1s --timeout 1s --retry-limit 300
restart: no
mc: mc:
restart: "no" restart: no
image: ${IMAGE_TO_TEST:-itzg/minecraft-server} image: ${IMAGE_TO_TEST:-itzg/minecraft-server}
environment: environment:
EULA: "TRUE" EULA: "TRUE"